package actinScope;
/*
 * BareButton... an extension of JButton that has a particular appearance, behavior, etc
 */
/*  <ActinScope - for the simulation of dendritic actin networks>
    Copyright (C) <2005>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import javax.swing.*;

public class BareButton extends JButton {
	
	public BareButton (String name) {
		super (name);
		this.setBackground(Env.controlBackColor);
		this.setForeground(Env.controlForeColor);
		this.setBorder(BorderFactory.createEmptyBorder());
	}
	
	public void flash () {
		this.setBackground(Env.controlFlashColor);
		try { Thread.sleep(100); } catch (InterruptedException e) { System.out.println ("error sleeping"); }
		this.setBackground(Env.controlBackColor);
	}
	
}
